Bug 1148987 - (CVE-2019-13627) VUL-0: CVE-2019-13627: libgcrypt: mitigation against an ECDSA timing attack
(CVE-2019-13627)
VUL-0: CVE-2019-13627: libgcrypt: mitigation against an ECDSA timing attack
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/241510
CVSSv2:NVD:CVE-2019-13627:6.8:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-30 13:01 UTC by Andreas Stieger
Modified: 2021-10-13 16:56 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Backported patch for SLE-15 and SLE-12 (3.70 KB, patch)
2019-09-02 12:27 UTC, Pedro Monreal Gonzalez
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Pedro Monreal Gonzalez 2019-09-02 09:52:08 UTC
Updated to version 1.8.5 in Factory:
   https://build.opensuse.org/request/show/727257
Comment 2 Pedro Monreal Gonzalez 2019-09-02 12:27:40 UTC
Created attachment 816547 [details]
Backported patch for SLE-15 and SLE-12
Comment 8 Swamp Workflow Management 2019-09-10 16:14:03 UTC
SUSE-SU-2019:2349-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1148987
CVE References: CVE-2019-13627
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    libgcrypt-1.8.2-6.20.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    libgcrypt-1.8.2-6.20.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2019-09-24 13:22:17 UTC
openSUSE-SU-2019:2161-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1148987
CVE References: CVE-2019-13627
Sources used:
openSUSE Leap 15.0 (src):    libgcrypt-1.8.2-lp150.5.13.1
Comment 10 Swamp Workflow Management 2019-10-01 19:11:59 UTC
SUSE-SU-2019:2510-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1148987
CVE References: CVE-2019-13627
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    libgcrypt-1.6.1-16.68.1
SUSE OpenStack Cloud 8 (src):    libgcrypt-1.6.1-16.68.1
SUSE OpenStack Cloud 7 (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Server 12-SP5 (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Server 12-SP4 (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Desktop 12-SP5 (src):    libgcrypt-1.6.1-16.68.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    libgcrypt-1.6.1-16.68.1
SUSE Enterprise Storage 5 (src):    libgcrypt-1.6.1-16.68.1
SUSE Enterprise Storage 4 (src):    libgcrypt-1.6.1-16.68.1
SUSE CaaS Platform 3.0 (src):    libgcrypt-1.6.1-16.68.1
HPE Helion Openstack 8 (src):    libgcrypt-1.6.1-16.68.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2019-12-27 17:23:32 UTC
SUSE-SU-2019:3392-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (moderate)
Bug References: 1148987,1155338,1155339
CVE References: CVE-2019-13627
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    libgcrypt-1.8.2-8.12.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    libgcrypt-1.8.2-8.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2020-01-13 23:26:50 UTC
openSUSE-SU-2020:0022-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (moderate)
Bug References: 1148987,1155338,1155339
CVE References: CVE-2019-13627
Sources used:
openSUSE Leap 15.1 (src):    libgcrypt-1.8.2-lp151.9.7.1
Comment 14 Alexandros Toptsoglou 2020-04-29 11:49:59 UTC
Done